{% extends "base.html" %}

{% block app_content %}
    <table class="table table-hover">
        <tr>
            <td width="182px"><img class="img-circle" src="{{ user.avatar(182) }}"></td>
            <td>
                <h1>{{ 'User' }}: {{ user.username }}</h1>
                {% if user.about_me %}<p>About: {{ user.about_me }}</p>{% endif %}
                {% if user.location %}<p>Live in: {{ user.location }}</p>{% endif %}
                {% if user.last_seen %}
                <p>{{ 'Last seen on' }}: {{ moment(user.last_seen).format('LLL') }}</p>
                {% endif %}
                <p>Questions {{ user.questions.count() }}, Answers {{ user.answers.count() }} </p>
                <p>{{ user.followers.count() }} Followers, {{ user.followed.count() }} Following.</p>
                {% if user == current_user %}
                <p><a href="{{ url_for('main.edit_profile') }}">{{ 'Edit your profile' }}</a></p>
                {% elif not current_user.is_following(user) %}
                <p><a href="{{ url_for('main.follow', username=user.username) }}">{{ 'Follow' }}</a></p>
                {% else %}
                <p><a href="{{ url_for('main.unfollow', username=user.username) }}">{{ 'Unfollow' }}</a></p>
                {% endif %}
            </td>
        </tr>
        <tr>
            <td>
                <button onclick="generateFile({{ current_user.id }})" id="generate-file" class="btn btn-lg btn-primary">Generate File</button>
                <a href="#" target="_blank" id="download-button" class="btn btn-danger btn-lg" download style="display:none">Download</a>
            </td>
        </tr>
    </table>
    {% for question in questions %}
        {% include '_questions.html' %}
    {% endfor %}
    <nav aria-label="...">
        <ul class="pager">
            <li class="previous{% if not prev_url %} disabled{% endif %}">
                <a href="{{ prev_url or '#' }}">
                    <span aria-hidden="true">&larr;</span> {{ 'Newer posts' }}
                </a>
            </li>
            <li class="next{% if not next_url %} disabled{% endif %}">
                <a href="{{ next_url or '#' }}">
                    {{ 'Older posts' }} <span aria-hidden="true">&rarr;</span>
                </a>
            </li>
        </ul>
    </nav>
{% endblock %}

{% block scripts %}
{{ super() }}
{{ pagedown.include_pagedown() }}
<script src="{{ url_for('static', filename='main.js') }}"></script>
{% endblock %}